index.number.separator
Prev | ToC/LoT/Index Generation | Next

## Name

index.number.separator — Override for punctuation separating page numbers in index

## Synopsis

    <xsl:param name="index.number.separator" select="''"></xsl:param>

## Description

This parameter permits you to override the text to insert between page references in a formatted index entry. Typically that would be a comma and a space.

Because this text may be locale dependent, this parameter's value is normally taken from a gentext template named 'number-separator' in the context 'index' in the stylesheet locale file for the language of the current document. This parameter can be used to override the gentext string, and would typically be used on the command line. This parameter would apply to all languages.

So this text string can be customized in two ways. You can reset the default gentext string using the `local.l10n.xml` parameter, or you can override the gentext with the content of this parameter. The content can be a simple string, or it can be something more complex such as a call-template.

In HTML index output, section title references are used instead of page number references. This punctuation appears between such section titles in an HTML index.

Prev | Up | Next
index.div.title.properties | Home | index.range.separator